curl --request GET \
--url https://api.x.com/2/insights/historical \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/insights/historical"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/insights/historical', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"errors": [
{
"error": "<string>",
"tweets": [
"<string>"
]
}
],
"measurement": {
"metrics_time_series": [
{
"tweet_id": "1346889436626259968",
"value": {
"metric_values": [
{
"metric_type": "<string>",
"metric_value": 123
}
],
"timestamp": {
"iso8601_time": "<string>"
}
}
}
],
"metrics_total": [
{
"tweet_id": "1346889436626259968",
"value": [
{
"metric_type": "<string>",
"metric_value": 123
}
]
}
]
}
}
],
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}ऐतिहासिक पोस्ट इनसाइट्स प्राप्त करें
निर्धारित समय सीमा के भीतर निर्दिष्ट पोस्ट्स के लिए ऐतिहासिक एंगेजमेंट मेट्रिक्स प्राप्त करता है।
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
ऐतिहासिक मेट्रिक्स के लिए PostIds की सूची।
1 - 25 elementsइस Tweet का विशिष्ट पहचानकर्ता। इसे स्ट्रिंग के रूप में लौटाया जाता है, ताकि उन भाषाओं और टूल्स में जटिलताओं से बचा जा सके जो बड़े पूर्णांकों को संभाल नहीं सकते।
^[0-9]{1,19}$["20"]
YYYY-MM-DDTHH:mm:ssZ. समय सीमा के अंत को दर्शाने वाला UTC टाइमस्टैम्प।
YYYY-MM-DDTHH:mm:ssZ. समय सीमा की शुरुआत को दर्शाने वाला UTC टाइमस्टैम्प।
मेट्रिक्स रिस्पॉन्स की ग्रैन्युलैरिटी।
Daily, Hourly, Weekly, Total "Total"
ऐतिहासिक अनुरोध के लिए मेट्रिक्स का अनुरोध करें।
1AppInstallAttempts, AppOpens, DetailExpands, EmailTweet, Engagements, Follows, HashtagClicks, Impressions, Likes, LinkClicks, MediaEngagements, MediaViews, PermalinkClicks, ProfileVisits, QuoteTweets, Replies, Retweets, UniqueVideoViews, UrlClicks, UserProfileClicks, VideoCompletions, VideoPlayed25Percent, VideoPlayed50Percent, VideoPlayed75Percent, VideoStarts, VideoViews प्रदर्शित करने के लिए Engagement फ़ील्ड्स की अल्पविराम-से-पृथक सूची। Engagement ऑब्जेक्ट के लिए उपलब्ध फ़ील्ड्स।
1errors, measurement ["errors", "measurement"]
Response
अनुरोध सफल रहा।
1Show child attributes
Show child attributes
1IETF RFC 7807 (https://tools.ietf.org/html/rfc7807) में परिभाषित एक HTTP Problem Details ऑब्जेक्ट।
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes